#ifndef __LMU_H__
#define __LMU_H__


/*
 * Returns file descriptor to the i2c device, 
 * or -1 when no device was detected 
 */
extern int open_bus (); 


/*
 * Set the keyboard backlight to level. Has 
 * to be [0-15]. Returns -1 if the level is out of bounds,
 * or -2 if the write failed.
 */
extern int set_level ( int dev, unsigned short level );


/*
 * Reads two light levels. Returns 1 on success,
 * -1 when the read failed.
 */
extern int get_env_light_level ( int dev, int *left, int *right );

/*
 * Set the lcd brightness to level
 * Has to be [0-31]
 */
extern int fblevel(int level);
	

#endif /* __LMU_H__ */
